curl --request GET \
--url "https://directory.example.com/delivery-policies/dids/did%3Aopenpayload%3A1111111111111111111111"
Delivery policies
Get a DID delivery policy
Read the optional ordered routing rules owned by a recipient DID
curl --request GET \
--url "https://directory.example.com/delivery-policies/dids/did%3Aopenpayload%3A1111111111111111111111"
Read the single optional policy associated with a DID scope. The policy contains routing rules; message limits come from the DID’s delivery constraints.
Request
string
required
The complete URL-encoded DID.
curl --request GET \
--url "https://directory.example.com/delivery-policies/dids/did%3Aopenpayload%3A1111111111111111111111"
Response
200 Response
{
"scope": {
"type": "DID",
"id": "did:openpayload:1111111111111111111111"
},
"policy": {
"policy_id": "0x<64-hex-policy-id>",
"scope": {
"type": "DID",
"id": "did:openpayload:1111111111111111111111"
},
"revision": 2,
"operator_did": "did:openpayload:1111111111111111111111",
"ruleset": [
{
"id": "default-route",
"priority": 10,
"conditions": [],
"action": {
"type": "DeliveryPlan/v1",
"entry_step": "recipient-relay",
"steps": [
{
"id": "recipient-relay",
"operation": "Forward",
"targets": [
{
"service_did": "did:openpayload:1111111111111111111111",
"service_id": "did:openpayload:1111111111111111111111#relay",
"priority": 100,
"weight": 100
}
]
}
],
"transitions": []
}
}
]
}
}
No policy
404 means this scope has no policy. It does not mean the DID is undeliverable. Relays fall through to the DID’s ordinary service entries.
Straight to the point
GET /delivery-policies/dids/{url-encoded-did}
- Authentication: none
- Success:
200 - No policy:
404with normal fall-through semantics

